import sqlite3


sql = sqlite3.connect('pincode', check_same_thread=False)
cur = sql.cursor()

    
def init():
    global cur
    global sql
    cur.execute('''
    CREATE TABLE PIN_TABLE
       (ID INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
       PINCODE           TEXT    NOT NULL);
    ''')
    sql.commit()
    print("Initial DB table")


def store(pin):
    global cur
    global sql
    cmd="INSERT INTO PIN_TABLE (PINCODE) VALUES (?)"
    print(cmd)
    cur.execute("INSERT INTO PIN_TABLE (PINCODE) VALUES (?)", (pin,))
    sql.commit()
    print("Insert into database")
    return True
def findAllPincode():
    global cur
    global sql
    cmd = "SELECT * from PIN_TABLE"
    ret = cur.execute(cmd)
    pins = ret.fetchall()
    for i in pins:
        print(i)

